## gpstrans 0.31b

=== ascii/Makefile ===
##############################################################################
#
#                Makefile for the ascii-version of GPStrans
#
##############################################################################
#
# Make you changes here, you don't need to change Makefiles in the sub-dir's
#
##############################################################################
CC	= gcc

# use -DSUNOS41 for SunOS 4.1.x
# usr -DHPUX    for HPUX
CFLAGS	= -O -DSUNOS41
LDFLAGS	= -lm


##############################################################################
# Nothing need to be changed below this line.
##############################################################################
INCLUDES= -Iinclude -Igetline
OFILES	= util.o prefs.o graph.o main.o
HFILES  = include/defs.h include/Prefs.h include/Garmin.h                 \
          include/icon.icon include/gpstrans.icon

XFILES	= gps/sendgpsinfo.o gps/dms.o gps/datum.o gps/calendar.o          \
	  gps/gpsmessage.o gps/garmincomm.o gps/garminserial.o            \
	  gps/getgpsinfo.o gps/latlong.o                                  \
	  grid/itm.o grid/bng.o grid/tm.o grid/ups.o grid/utm.o           \
	  grid/gridutils.o getline/libgetline.a


.c.o:	$(HFILES)
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)
	@echo "Making all in ./getline"
	@(cd getline ; make libgetline.a)
	@echo "Making all in ./gps"
	@(cd gps  ; make all CC="$(CC)" CFLAGS="$(CFLAGS)")
	@echo "Making all in ./grid"
	@(cd grid ; make all CC="$(CC)" CFLAGS="$(CFLAGS)")
	@echo "Linking file \"gpstrans\""
	@$(CC) -o gpstrans $(OFILES) $(XFILES) $(LDFLAGS)

clean:
	@echo "Cleaning all in ./"
	@rm -f core gpstrans *.o *.bak *~ #*#
	@echo "Cleaning all in ./gps"
	@(cd gps  ; make clean)
	@echo "Cleaning all in ./grid"
	@(cd grid ; make clean)

=== x11/Makefile ===
##############################################################################
#
#                           Makefile for GPStrans
#
##############################################################################
#
# Make you changes here, you don't need to change Makefiles in the sub-dir's
#
##############################################################################
CC	= gcc
#
# use -DHPUX    for HPUX
#CFLAGS  = -g -DHPUX -I/usr/remote/X11R5/include -I/usr/remote/xview3.2/include
#LDFLAGS = -L/usr/remote/X11R5/lib -L/usr/remote/xview3.2/lib -lxview -lolgx -lX11 -lm
#
# use -DSUNOS41 for SunOS 4.1.x with XView 3.2 and X11R6
CFLAGS	= -g -DSUNOS41 -I/usr/X11/include 
LDFLAGS	= -L/usr/X11/lib -lxview -lolgx -lX11 -lm


##############################################################################
# Nothing need to be changed below this line.
##############################################################################
INCLUDES= -Iinclude
OFILES	= util.o event.o prefs.o graph.o file.o main.o
HFILES  = include/defs.h include/Prefs.h include/Garmin.h                 \
          include/icon.icon include/gpstrans.icon

XFILES	= gps/sendgpsinfo.o gps/dms.o gps/datum.o gps/calendar.o          \
	  gps/gpsmessage.o gps/garmincomm.o gps/garminserial.o            \
	  gps/getgpsinfo.o gps/latlong.o                                  \
	  grid/itm.o grid/bng.o grid/tm.o grid/ups.o grid/utm.o           \
	  grid/gridutils.o


.c.o:	$(HFILES)
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)
	@echo "Making all in ./gps"
	@(cd gps  ; make all CC="$(CC)" CFLAGS="$(CFLAGS)")
	@echo "Making all in ./grid"
	@(cd grid ; make all CC="$(CC)" CFLAGS="$(CFLAGS)")
	@echo "Linking file \"gpstrans\""
	@$(CC) -o xgpstrans $(OFILES) $(XFILES) $(LDFLAGS)
	@echo "Linking file \"gpstrans\" static"
	@$(CC) -o xgpstrans-static $(OFILES) $(XFILES) -static $(LDFLAGS)

clean:
	@echo "Cleaning all in ./"
	@rm -f core gpstrans gpstrans-static *.o *.bak *~ #*#
	@echo "Cleaning all in ./gps"
	@(cd gps  ; make clean)
	@echo "Cleaning all in ./grid"
	@(cd grid ; make clean)

=== ascii/gps/Makefile ===
##############################################################################
#
#               Makefile for GPStrans  -  subdirectory ./gps/
#
##############################################################################
#
# You don't need to change anything here. Do every changes in ./Makefile
#
##############################################################################
CC	= gcc
INCLUDES=-I../include
CFLAGS	= -g -DSUNOS41 


OFILES	= sendgpsinfo.o dms.o datum.o calendar.o gpsmessage.o garmincomm.o  \
	  garminserial.o getgpsinfo.o latlong.o
HFILES  = ../include/defs.h ../include/Prefs.h ../include/Garmin.h

.c.o:	$(HFILES)
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)

clean:
	@rm -f core gpstrans *.o *.bak *~ #*#

=== ascii/grid/Makefile ===
##############################################################################
#
#               Makefile for GPStrans  -  subdirectory ./grid/
#
##############################################################################
#
# You don't need to change anything here. Do every changes in ./Makefile
#
##############################################################################
CC	= gcc
INCLUDES=-I../include
CFLAGS	= -g -DSUNOS41 -I/usr/X11/include 


OFILES	= itm.o bng.o tm.o ups.o utm.o gridutils.o
HFILES  = ../include/defs.h ../include/Garmin.h ../include/Prefs.h

.c.o:	
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)


clean:
	@rm -f core gpstrans *.o *.bak *~ #*#

## gpstrans 0.34

=== Makefile ===
##############################################################################
#
#                Makefile for the ascii-version of GPStrans
#
##############################################################################
#
# Make you changes here, you don't need to change Makefiles in the sub-dir's
#
##############################################################################
CC	= gcc

# use -DSUNOS41 for SunOS 4.1.x
# usr -DHPUX    for HPUX
CFLAGS	= -Wall -g -O -D__LINUX__
LDFLAGS	= -lm


##############################################################################
# Nothing need to be changed below this line.
##############################################################################
INCLUDES= -Iinclude -Igetline
OFILES	= util.o prefs.o graph.o main.o
HFILES  = include/defs.h include/Prefs.h include/Garmin.h                 \
          include/icon.icon include/gpstrans.icon

XFILES	= gps/sendgpsinfo.o gps/dms.o gps/datum.o gps/calendar.o          \
	  gps/gpsmessage.o gps/garmincomm.o gps/garminserial.o            \
	  gps/getgpsinfo.o gps/latlong.o                                  \
	  grid/itm.o grid/bng.o grid/tm.o grid/ups.o grid/utm.o           \
	  grid/gridutils.o grid/kkj.o getline/libgetline.a


.c.o:	$(HFILES)
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)
	@echo "Making all in ./getline"
	@(cd getline ; make libgetline.a)
	@echo "Making all in ./gps"
	@(cd gps  ; make all CC="$(CC)" CFLAGS="$(CFLAGS)")
	@echo "Making all in ./grid"
	@(cd grid ; make all CC="$(CC)" CFLAGS="$(CFLAGS)")
	@echo "Linking file \"gpstrans\""
	$(CC) -o gpstrans $(OFILES) $(XFILES) $(LDFLAGS)

clean:
	@echo "Cleaning all in ./"
	@rm -f core gpstrans *.o *.bak *~ #*#
	@echo "Cleaning all in ./gps"
	@(cd gps  ; make clean)
	@echo "Cleaning all in ./grid"
	@(cd grid ; make clean)
	@echo "Cleaning all in ./getline"
	@(cd getline ; make clean)

=== grid/Makefile ===
##############################################################################
#
#               Makefile for GPStrans  -  subdirectory ./grid/
#
##############################################################################
#
# You don't need to change anything here. Do every changes in ./Makefile
#
##############################################################################
CC	= gcc
INCLUDES=-I../include
CFLAGS	= -g -DSUNOS41 -I/usr/X11/include 


OFILES	= itm.o bng.o tm.o ups.o utm.o kkj.o gridutils.o
HFILES  = ../include/defs.h ../include/Garmin.h ../include/Prefs.h

.c.o:	
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)


clean:
	@rm -f core gpstrans *.o *.bak *~ #*#

## gpstrans 0.39

=== Makefile ===
##############################################################################
#
#                Makefile for the ascii-version of GPStrans
#
##############################################################################

all: 
	@make -C src/

clean:
	@echo "Cleaning all in ./"
	@rm -f src/core src/gpstrans src/*.o src/*.bak src/*~ src/#*#
	@echo "Cleaning all in ./gps"
	@(cd src/gps  ; make clean)
	@echo "Cleaning all in ./grid"
	@(cd src/grid ; make clean)
	@echo "Cleaning all in ./getline"
	@(cd src/getline ; make clean)

install:
	@strip src/gpstrans
	@cp src/gpstrans /usr/local/bin/gpstrans
	@gzip -9 doc/gpstrans.1 > /usr/share/man/man1/gpstrans.1.gz
	@echo "Installation complete!"

make uninstall:

	@rm -f /usr/local/bin/gpstrans
	@rm -f /usr/share/man/man1/gpstrans.1.gz
	@rm -f ~/.gpstrans
	@echo "Uninstall complete!"

=== src/Makefile ===
##############################################################################
#
#                Makefile for the ascii-version of GPStrans
#
##############################################################################
#
# Make you changes here, you don't need to change Makefiles in the sub-dir's
#
##############################################################################
CC	= gcc

# use -DSUNOS41 for SunOS 4.1.x
# usr -DHPUX    for HPUX
CFLAGS	= -Wall -pedantic -g -O3 -D__LINUX__
LDFLAGS	= -lm


##############################################################################
# Nothing need to be changed below this line.
##############################################################################
INCLUDES= -Iinclude -Igetline
OFILES	= util.o prefs.o graph.o main.o
HFILES  = include/defs.h include/Prefs.h include/Garmin.h\
          include/icon.icon include/gpstrans.icon

XFILES	= gps/sendgpsinfo.o gps/dms.o gps/datum.o \
	  gps/calendar.o gps/gpsmessage.o gps/garmincomm.o \
	  gps/garminserial.o gps/getgpsinfo.o gps/latlong.o	\
	  grid/itm.o grid/bng.o grid/tm.o grid/ups.o \
	  grid/utm.o grid/seg.o grid/gridutils.o grid/kkj.o \
	  grid/gkk.o getline/libgetline.a \


.c.o:	$(HFILES)
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)
	@echo "Making all in ./getline"
	@(cd getline ; make libgetline.a)
	@echo "Making all in ./gps"
	@(cd gps  ; make all CC="$(CC)" CFLAGS="$(CFLAGS)")
	@echo "Making all in ./grid"
	@(cd grid ; make all CC="$(CC)" CFLAGS="$(CFLAGS)")
	@echo "Linking file \"gpstrans\""
	$(CC) -o gpstrans $(OFILES) $(XFILES) $(LDFLAGS)

=== src/gps/Makefile ===
##############################################################################
#
#               Makefile for GPStrans  -  subdirectory ./gps/
#
##############################################################################
#
# You don't need to change anything here. Do every changes in ./Makefile
#
##############################################################################
CC	= gcc
INCLUDES=-I../include
CFLAGS	= -g -D__LINUX__


OFILES	= sendgpsinfo.o dms.o datum.o calendar.o gpsmessage.o garmincomm.o  \
	  garminserial.o getgpsinfo.o latlong.o
HFILES  = ../include/defs.h ../include/Prefs.h ../include/Garmin.h

.c.o:	$(HFILES)
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)

clean:
	@rm -f core gpstrans *.o *.bak *~ #*#

=== src/grid/Makefile ===
##############################################################################
#
#               Makefile for GPStrans  -  subdirectory ./grid/
#
##############################################################################
#
# You don't need to change anything here. Do every changes in ./Makefile
#
##############################################################################
CC	= gcc
INCLUDES=-I../include
CFLAGS	= -g -DSUNOS41 -I/usr/X11/include 


OFILES	= itm.o bng.o tm.o ups.o utm.o kkj.o gkk.o seg.o gridutils.o
HFILES  = ../include/defs.h ../include/Garmin.h ../include/Prefs.h

.c.o:	
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

all:	$(OFILES) $(HFILES)


clean:
	@rm -f core gpstrans *.o *.bak *~ #*#

## gpstrans 0.41

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #                Makefile for the ascii-version of GPStrans
 #
 ##############################################################################
+
+PACKAGE=gpstrans
 
 all: 
 	@make -C src/
@@ -19,8 +21,8 @@
 
 install:
 	@strip src/gpstrans
-	@cp src/gpstrans /usr/local/bin/gpstrans
-	@gzip -9 doc/gpstrans.1 > /usr/share/man/man1/gpstrans.1.gz
+	@cp src/gpstrans debian/gpstrans/usr/bin/gpstrans
+#	@gzip -9 doc/gpstrans.1 > /usr/share/man/man1/gpstrans.1.gz
 	@echo "Installation complete!"
 
 make uninstall:
@@ -29,3 +31,84 @@
 	@rm -f /usr/share/man/man1/gpstrans.1.gz
 	@rm -f ~/.gpstrans
 	@echo "Uninstall complete!"
+
+
+DIRS=	doc					\
+	src					\
+	src/gps					\
+	src/grid				\
+	src/getline				\
+	src/include
+
+DISTFILES=COPYING				\
+	ChangeLog				\
+	INSTALL					\
+	LICENSE					\
+	Makefile				\
+	README					\
+	README.mxmap				\
+	TODO					\
+	copyright				\
+	doc/gpstrans-old.html			\
+	doc/gpstrans.1				\
+	src/Makefile				\
+	src/TAGS				\
+	src/graph.c				\
+	src/main.c				\
+	src/prefs.c				\
+	src/util.c				\
+	src/getline/CHANGES			\
+	src/getline/Makefile			\
+	src/getline/README			\
+	src/getline/getline.3			\
+	src/getline/getline.c			\
+	src/getline/getline.h			\
+	src/getline/testgl.c			\
+	src/gps/Makefile			\
+	src/gps/calendar.c			\
+	src/gps/datum.c				\
+	src/gps/dms.c				\
+	src/gps/garmincomm.c			\
+	src/gps/garminserial.c			\
+	src/gps/getgpsinfo.c			\
+	src/gps/gpsmessage.c			\
+	src/gps/latlong.c			\
+	src/gps/sendgpsinfo.c			\
+	src/grid/Makefile			\
+	src/grid/bng.c				\
+	src/grid/gkk.c				\
+	src/grid/gridutils.c			\
+	src/grid/itm.c				\
+	src/grid/kkj.c				\
+	src/grid/seg.c				\
+	src/grid/tm.c				\
+	src/grid/ups.c				\
+	src/grid/utm.c				\
+	src/include/Garmin.h			\
+	src/include/Prefs.h			\
+	src/include/defs.h			\
+	src/include/gpsinfo.h			\
+	src/include/gpstrans.gif		\
+	src/include/gpstrans.icon		\
+	src/include/gpstrans_small.gif		\
+	src/include/graph.h			\
+	src/include/icon.icon			\
+	src/include/main.gif			\
+	src/include/protocols.h			\
+	src/include/util.h
+
+srcdir = .
+top_srcdir = .
+top_distdir = .
+VERSION := $(shell perl -ne 'if (/ProgramVersion.*"([0-9.]*)"/){ print "$$1";}' src/include/defs.h)
+distdir := $(PACKAGE)-$(VERSION)
+
+distdir: $(DISTFILES)
+	rm -fr $(distdir)
+	$(am__remove_distdir)
+	mkdir $(distdir)
+	for d in $(DIRS); do mkdir $(distdir)/$$d; chmod 755 $(distdir)/$$d; done
+	for f in $(DISTFILES); do cp -p $$f $(distdir)/$$f; done
+dist: distdir
+	tar chof - $(distdir) | GZIP=--best gzip -c >$(distdir).tar.gz
+	rm -fr $(distdir)

=== src/Makefile ===
--- 
+++ 
@@ -4,14 +4,15 @@
 #
 ##############################################################################
 #
-# Make you changes here, you don't need to change Makefiles in the sub-dir's
+# Make changes here, and you don't need to change Makefiles in the sub-dir's
 #
 ##############################################################################
 CC	= gcc
 
 # use -DSUNOS41 for SunOS 4.1.x
 # usr -DHPUX    for HPUX
-CFLAGS	= -Wall -pedantic -g -O3 -D__LINUX__
+CFLAGS	= -Wall -g -D__LINUX__
+# -O3
 LDFLAGS	= -lm

=== src/getline/Makefile ===
CC     = cc
#CFLAGS = -Wall -DPOSIX
CFLAGS = -DPOSIX
LDFLAGS= 

testgl: libgetline.a testgl.o
	$(CC) $(LDFLAGS) $(CFLAGS) -o testgl testgl.o -L. -lgetline

libgetline.a: getline.o
	ar cr libgetline.a getline.o
	-ranlib libgetline.a

clean:
	rm -f *.o *.a testgl

=== src/gps/Makefile ===
--- 
+++ 
@@ -4,17 +4,17 @@
 #
 ##############################################################################
 #
-# You don't need to change anything here. Do every changes in ./Makefile
+# You don't need to change anything here. Do every change in ./Makefile
 #
 ##############################################################################
 CC	= gcc
 INCLUDES=-I../include
-CFLAGS	= -g -D__LINUX__
+CFLAGS	= -g -D__LINUX__ -DDEBUG
 
 
 OFILES	= sendgpsinfo.o dms.o datum.o calendar.o gpsmessage.o garmincomm.o  \
 	  garminserial.o getgpsinfo.o latlong.o
-HFILES  = ../include/defs.h ../include/Prefs.h ../include/Garmin.h
+HFILES  = ../include/defs.h ../include/Prefs.h ../include/Garmin.h ../include/protocols.h
 
 .c.o:	$(HFILES)
 	$(CC) -c $(CFLAGS) $(INCLUDES) $<

=== debian/changelog ===
gpstrans (0.41-12) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096762)
  * debian/control: Remove dead Homepage link.
  * debian/control: Architecture: linux-any

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Oct 2025 19:54:17 +0300

gpstrans (0.41-11) unstable; urgency=medium

  * QA upload.

  * Updated 1070-64bit-time.patch to actually fix armhf build failure.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 07 Aug 2024 18:50:41 +0200

gpstrans (0.41-10) unstable; urgency=medium

  * QA upload.

  * Use time_t as ctime() argument to use 64 bit time on 32 bit platforms
    (Closes: #1078085).
  * Introduced patch numbering scheme.
  * Updated Standards-Version from 4.5.1 to 4.7.0.
  * Adjusted metadata of 1030-fix-makefile.diff.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 07 Aug 2024 08:13:52 +0200

gpstrans (0.41-9) unstable; urgency=medium

  * QA upload.

  * Corrected 1000-appstream-metainfo.patch to avoid errors from appstream.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 Aug 2024 22:52:19 +0200

gpstrans (0.41-8) unstable; urgency=medium

  * QA upload.

  * Added 1000-appstream-metainfo.patch with AppStream metainfo XML
    announcing supported hardware.
  * Added d/gbp.conf to enforce use of pristine-tar and specify
    used branches.
  * Added 1010-gl-in-hook-prototype.patch to ensure consistent
    gl_in_hook declarations (Closes: #688452).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Jul 2024 12:25:59 +0200

gpstrans (0.41-7) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields pointing to Salsa.
      - Bumped Standards-Version to 4.5.1.
      - Changed Priority from extra to optional.
      - Changed the short description to reflect the use of serial port
        communication. (Closes: #932748)
  * debian/copyright:
      - Fixed a typo in Comment field.
      - Updated packaging copyright.
      - Using secure URI.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide CI tests for the package.
  * debian/watch: bumped version to 4.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Sun, 24 Jan 2021 20:13:41 -0300

gpstrans (0.41-6) unstable; urgency=medium

  * QA upload.
  * 05-libgetline-re-enable-posix-macro.diff: New, add missing -DPOSIX for
    getline, thanks to Jurica Stanojkovic.  (Closes: #818298)
  * Bumped Standards-Version to 3.9.7.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Mar 2016 15:49:11 +0100

gpstrans (0.41-5) unstable; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.6.
  * debian/control: added the original upstream homepage.
  * debian/copyright:
     - Migrated to 1.0 format.
     - Updated all data.
  * debian/Makefile.patch: removed because this file is useless.
  * debian/patches: created the 04-fix-makefile.diff to improve the GCC
    hardening.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to improve
    the GCC hardening.
  * debian/watch: added a fake site to explain about the current status
    of the original upstream homepage.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Tue, 01 Dec 2015 07:58:10 -0200

gpstrans (0.41-4) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add debian/patches/03-src-makefile-flags.diff to avoid overwriting CFLAGS
    and LDFLAGS in src/Makefile.
  * Rewrite debian/rules using dh(1).
  * Set debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.5.
  * Add debian/gpstrans.manpages.

 -- Emanuele Rocca <ema@debian.org>  Fri, 28 Mar 2014 13:43:14 +0100

gpstrans (0.41-3) unstable; urgency=low

  * debian/control: bump debian policy number to 3.8.4 (no changes
    needed).  Add dependency "${misc:Depends}".

 -- James R. Van Zandt <jrv@debian.org>  Sun, 07 Feb 2010 10:29:42 -0500

gpstrans (0.41-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed getline() in my_getline() to avoid eglibc colliding names in getline.c.
    (closes: #552864)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 27 Jan 2010 17:18:46 +0100

gpstrans (0.41-2) unstable; urgency=low

  * suggest setserial (thanks to Joerg Schuetter <joerg@schuetter.org>,
    closes:Bug#513137)

  * debian/copyright: mention that GPL can be found in
    /usr/share/common-licenses, to silence lintian complaint.

 -- James R. Van Zandt <jrv@debian.org>  Sat, 14 Feb 2009 10:08:23 -0500

gpstrans (0.41-1) unstable; urgency=low

  * New upstream release: incorporates fix for segfault identified by
    Robie Basak (#399828)
  * debian/watch: delete, since I am the upstream maintainer (closes:Bug#449884)
  * debian/dirs: don't include usr/sbin
  * debian/rules: obey DEBIAN_BUILD_OPTIONS "nostrip" flag
  * debian/control: bump debian policy number to 3.8.0

 -- James R. Van Zandt <jrv@debian.org>  Wed, 16 Jul 2008 20:09:58 -0400

gpstrans (0.40-3.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Fix segfault using patch from Robie Basak (Closes: #399828).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Mar 2008 23:38:02 +0200

gpstrans (0.40-3) unstable; urgency=low

  * don't always strip the binary (closes:Bug#437077)
  * don't ignore failures in "make clean" (silence lintian warning)
  * bump standards level to 3.7.2 (no changes needed)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 10 Aug 2007 21:50:08 -0400

gpstrans (0.40-2) unstable; urgency=low

  * debian/rules: #define POSIX and unix, for compilation of getline on
    alpha, mips, and mipsel.
  * debian/foo: delete extraneous file.



=== debian/control ===
Source: gpstrans
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/gpstrans.git
Vcs-Browser: https://salsa.debian.org/debian/gpstrans

Package: gpstrans
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: setserial
Description: communicate via serial port with a Garmin GPS receiver
 GPStrans allows a user with a Garmin GPS receiver to upload and
 download waypoints, routes, almanac (satellite orbit elements),
 and track routes.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh  $@

=== debian/tests/control ===
Test-Command: gpstrans --help 2>&1 | grep GPStrans
Restrictions: superficial

Test-Command: gpstrans -v 2>&1
Restrictions: superficial
